#include <bits/stdc++.h>

using namespace std;

int main()
{
    int n,m;
    cin>>n>>m;
    int ucesnici[n];
    int br=0;
    for(int i=0;i<n;i++)
    {
        cin>>ucesnici[i];
        if(ucesnici[i]>=0)
            br++;
    }
    int parovi[2*m];
    int x[n];
    for(int i=0;i<n;i++)
        x[i]=0;
    for(int i=0;i<2*m;i++)
    {
        cin>>parovi[i];
        for(int j=1;j<=n;j++)
        {
            if(parovi[i]==j)
            {
                x[j-1]++;
                break;
            }
        }
    }
    int k=0;
    if(br==n)
    {
        for(int i=0;i<n;i++)
            k+=ucesnici[i]*x[i];
        cout<<k;
    }
}